Package org.codehaus.commons.compiler.util.reflect

# Class Methods

java.lang.Object
org.codehaus.commons.compiler.util.reflect.Methods

public final class Methods extends Object
Utility methods related to `Method`.

## Method Summary

Modifier and Type
Method
Description
`static <R, EX extends Throwable>
R`
`invoke(Method method, Object obj, Object... args)`
A wrapper for `method.invoke(obj, args)` that catches any exception, wraps it in an `AssertionError`, and throws that.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### invoke

public static <R, EX extends Throwable> R invoke(Method method, @Nullable Object obj, Object... args) throws EX
A wrapper for `method.invoke(obj, args)` that catches any exception, wraps it in an `AssertionError`, and throws that.